Skip to content

Accelerate loan

Request

The accelerate endpoint will change the status of an active loan to accelerated, and trigger any acceleration-related logic and accounting treatment.

Acceleration is only valid for installment and line of credit loans.

Security
oauth2(Required scopes: loan:accelerate) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

Bodyapplication/jsonrequired
effectiveDatestring, (date)required

The effective date of the loan acceleration. The date should be the current date in the product timezone. Passing in "today" will also set the field to today's date.

sendNoticeboolean

When set to false, the system will NOT send a loanAccelerated notice to the borrower.

Default:true
caseIdstring

An identifier for an existing case.

POST
/people/{personId}/loans/{loanId}/accelerate
curl -i -X POST \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/accelerate' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "effectiveDate": "2019-08-24",
    "sendNotice": true,
    "caseId": "string"
  }'

Responses

Loan Accelerate

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject(LoanAccelerateResponse)
Response
{ "message": "string", "status": 0, "data": { "acceleratedAmount": 0.1 } }